#define IDOK                                    1
#define IDCANCEL                                2
#define IDABORT                                 3
#define IDRETRY                                 4
#define IDIGNORE                                5
#define IDYES                                   6
#define IDNO                                    7
#define IDCLOSE                                 8
#define IDHELP                                  9
#define WS_OVERLAPPED                  0x00000000L
#define WS_POPUP                       0x80000000L
#define WS_CHILD                       0x40000000L
#define WS_MINIMIZE                    0x20000000L
#define WS_VISIBLE                     0x10000000L
#define WS_DISABLED                    0x08000000L
#define WS_CLIPSIBLINGS                0x04000000L
#define WS_CLIPCHILDREN                0x02000000L
#define WS_MAXIMIZE                    0x01000000L
#define WS_CAPTION                     0x00C00000L
#define WS_BORDER                      0x00800000L
#define WS_DLGFRAME                    0x00400000L
#define WS_VSCROLL                     0x00200000L
#define WS_HSCROLL                     0x00100000L
#define WS_SYSMENU                     0x00080000L
#define WS_THICKFRAME                  0x00040000L
#define WS_GROUP                       0x00020000L
#define WS_TABSTOP                     0x00010000L
#define WS_MINIMIZEBOX                 0x00020000L
#define WS_MAXIMIZEBOX                 0x00010000L
#define ES_LEFT                        0x00000000L
#define ES_CENTER                      0x00000001L
#define ES_RIGHT                       0x00000002L
#define ES_MULTILINE                   0x00000004L
#define ES_UPPERCASE                   0x00000008L
#define ES_LOWERCASE                   0x00000010L
#define ES_PASSWORD                    0x00000020L
#define ES_AUTOVSCROLL                 0x00000040L
#define ES_AUTOHSCROLL                 0x00000080L
#define ES_READONLY                    0x00000800L
#define ES_WANTRETURN                  0x00001000L
#define BS_PUSHBUTTON                  0x00000000L
#define BS_DEFPUSHBUTTON               0x00000001L
#define BS_AUTOCHECKBOX                0x00000003L
#define BS_GROUPBOX                    0x00000007L
#define BS_USERBUTTON                  0x00000008L
#define BS_AUTORADIOBUTTON             0x00000009L
#define BS_OWNERDRAW                   0x0000000BL
#define BS_LEFTTEXT                    0x00000020L
#define BS_TEXT                        0x00000000L
#define BS_ICON                        0x00000040L
#define BS_BITMAP                      0x00000080L
#define BS_LEFT                        0x00000100L
#define BS_RIGHT                       0x00000200L
#define BS_CENTER                      0x00000300L
#define BS_TOP                         0x00000400L
#define BS_BOTTOM                      0x00000800L
#define BS_VCENTER                     0x00000C00L
#define BS_PUSHLIKE                    0x00001000L
#define BS_MULTILINE                   0x00002000L
#define BS_FLAT                        0x00008000L
#define SS_LEFT                        0x00000000L
#define SS_CENTER                      0x00000001L
#define SS_RIGHT                       0x00000002L
#define SS_ICON                        0x00000003L
#define SS_BLACKRECT                   0x00000004L
#define SS_GRAYRECT                    0x00000005L
#define SS_WHITERECT                   0x00000006L
#define SS_BLACKFRAME                  0x00000007L
#define SS_GRAYFRAME                   0x00000008L
#define SS_WHITEFRAME                  0x00000009L
#define SS_SIMPLE                      0x0000000BL
#define SS_LEFTNOWORDWRAP              0x0000000CL
#define SS_NOPREFIX                    0x00000080L
#define SS_BITMAP                      0x0000000EL
#define SS_ENHMETAFILE                 0x0000000FL
#define SS_ETCHEDHORZ                  0x00000010L
#define SS_ETCHEDVERT                  0x00000011L
#define SS_ETCHEDFRAME                 0x00000012L
#define SS_NOTIFY                      0x00000100L
#define SS_CENTERIMAGE                 0x00000200L
#define SS_RIGHTJUST                   0x00000400L
#define SS_REALSIZEIMAGE               0x00000800L
#define SS_SUNKEN                      0x00001000L
#define DS_SYSMODAL                    0x00000002L
#define DS_3DLOOK                      0x00000004L
#define DS_SETFONT                     0x00000040L
#define DS_MODALFRAME                  0x00000080L
#define DS_CONTROL                     0x00000400L
#define LBS_NOTIFY                     0x00000001L
#define LBS_MULTIPLESEL                0x00000008L
#define LBS_HASSTRINGS                 0x00000040L
#define LBS_USETABSTOPS                0x00000080L
#define LBS_NOINTEGRALHEIGHT           0x00000100L
#define LBS_MULTICOLUMN                0x00000200L
#define LBS_EXTENDEDSEL                0x00000800L
#define LBS_DISABLENOSCROLL            0x00001000L
#define LBS_NOSEL                      0x00004000L
#define CBS_SIMPLE                     0x00000001L
#define CBS_DROPDOWN                   0x00000002L
#define CBS_DROPDOWNLIST               0x00000003L
#define CBS_OWNERDRAWFIXED             0x00000010L
#define CBS_AUTOHSCROLL                0x00000040L
#define CBS_SORT                       0x00000100L
#define CBS_HASSTRINGS                 0x00000200L
#define CBS_DISABLENOSCROLL            0x00000800L
#define CBS_UPPERCASE                  0x00002000L
#define CBS_LOWERCASE                  0x00004000L
#define WS_EX_DLGMODALFRAME            0x00000001L
#define WS_EX_WINDOWEDGE               0x00000100L
#define WS_EX_CLIENTEDGE               0x00000200L
#define WS_EX_LEFTSCROLLBAR            0x00004000L
#define WS_EX_STATICEDGE               0x00020000L
#define TCS_TABS                       0x0000
#define TCS_BUTTONS                    0x0100
#define TCS_SINGLELINE                 0x0000
#define TCS_MULTILINE                  0x0200
#define TCS_RIGHTJUSTIFY               0x0000
#define TCS_FIXEDWIDTH                 0x0400
#define TCS_RAGGEDRIGHT                0x0800
#define TCS_FOCUSONBUTTONDOWN          0x1000
#define TCS_FOCUSNEVER                 0x8000
#define GS_READONLYCOLOUR              0x00000010L
#define GS_REPSELECTION                0x00000020L
#define GS_REPCUTPASTE                 0x00000040L
#define GS_DEFROWLABELS                0x00000080L
#define GS_NOINTEGRALHEIGHT            0x00000100L
#define GS_COLUMNLABELS                0x00000200L
#define GS_ROWLABELS                   0x00000400L
#define GS_READONLY                    0x00000800L
#define GS_WANTRETURN                  0x00001000L
#define GS_RESIZECOLUMNS               0x00002000L
#define GS_WANTTAB                     0x00004000L
#define GS_WRAP                        0x00008000L
#define TBS_AUTOTICKS                  0x0001
#define TBS_VERT                       0x0002
#define TBS_HORZ                       0x0000
#define TBS_TOP                        0x0004
#define TBS_BOTTOM                     0x0000
#define TBS_LEFT                       0x0004
#define TBS_RIGHT                      0x0000
#define TBS_BOTH                       0x0008
#define TBS_NOTICKS                    0x0010
#define TBS_ENABLESELRANGE             0x0020
#define TBS_FIXEDLENGTH                0x0040
#define TBS_NOTHUMB                    0x0080
#define TVS_HASBUTTONS                 0x0001
#define TVS_HASLINES                   0x0002
#define TVS_LINESATROOT                0x0004
#define TVS_EDITLABELS                 0x0008
#define TVS_DISABLEDRAGDROP            0x0010
#define TVS_SHOWSELALWAYS              0x0020
#define VK_LBUTTON                     0x01
#define VK_RBUTTON                     0x02
#define VK_CANCEL                      0x03
#define VK_MBUTTON                     0x04
#define VK_BACK                        0x08
#define VK_TAB                         0x09
#define VK_CLEAR                       0x0C
#define VK_RETURN                      0x0D
#define VK_SHIFT                       0x10
#define VK_CONTROL                     0x11
#define VK_MENU                        0x12
#define VK_PAUSE                       0x13
#define VK_CAPITAL                     0x14
#define VK_ESCAPE                      0x1B
#define VK_SPACE                       0x20
#define VK_PRIOR                       0x21
#define VK_NEXT                        0x22
#define VK_END                         0x23
#define VK_HOME                        0x24
#define VK_LEFT                        0x25
#define VK_UP                          0x26
#define VK_RIGHT                       0x27
#define VK_DOWN                        0x28
#define VK_SELECT                      0x29
#define VK_PRINT                       0x2A
#define VK_EXECUTE                     0x2B
#define VK_SNAPSHOT                    0x2C
#define VK_INSERT                      0x2D
#define VK_DELETE                      0x2E
#define VK_HELP                        0x2F
#define VK_NUMPAD0                     0x60
#define VK_NUMPAD1                     0x61
#define VK_NUMPAD2                     0x62
#define VK_NUMPAD3                     0x63
#define VK_NUMPAD4                     0x64
#define VK_NUMPAD5                     0x65
#define VK_NUMPAD6                     0x66
#define VK_NUMPAD7                     0x67
#define VK_NUMPAD8                     0x68
#define VK_NUMPAD9                     0x69
#define VK_MULTIPLY                    0x6A
#define VK_ADD                         0x6B
#define VK_SEPARATOR                   0x6C
#define VK_SUBTRACT                    0x6D
#define VK_DECIMAL                     0x6E
#define VK_DIVIDE                      0x6F
#define VK_F1                          0x70
#define VK_F2                          0x71
#define VK_F3                          0x72
#define VK_F4                          0x73
#define VK_F5                          0x74
#define VK_F6                          0x75
#define VK_F7                          0x76
#define VK_F8                          0x77
#define VK_F9                          0x78
#define VK_F10                         0x79
#define VK_F11                         0x7A
#define VK_F12                         0x7B
#define VK_F13                         0x7C
#define VK_F14                         0x7D
#define VK_F15                         0x7E
#define VK_F16                         0x7F
#define VK_F17                         0x80
#define VK_F18                         0x81
#define VK_F19                         0x82
#define VK_F20                         0x83
#define VK_F21                         0x84
#define VK_F22                         0x85
#define VK_F23                         0x86
#define VK_F24                         0x87
#define VK_NUMLOCK                     0x90
#define VK_SCROLL                      0x91
#define VK_LSHIFT                      0xA0
#define VK_RSHIFT                      0xA1
#define VK_LCONTROL                    0xA2
#define VK_RCONTROL                    0xA3
#define VK_LMENU                       0xA4
#define VK_RMENU                       0xA5
#define VK_ATTN                        0xF6
#define VK_CRSEL                       0xF7
#define VK_EXSEL                       0xF8
#define VK_EREOF                       0xF9
#define VK_PLAY                        0xFA
#define VK_ZOOM                        0xFB
#define VK_NONAME                      0xFC
#define VK_PA1                         0xFD
#define VK_OEM_CLEAR                   0xFE

#define CREATEPROCESS_MANIFEST_RESOURCE_ID  1
#define RT_MANIFEST                        24 
